## org.codehaus.groovy.grails.plugins.i18n
Class I18nGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.i18n.I18nGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class I18nGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`I18nGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getBaseDir()`
`Object` `getDoWithSpring()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getOnChange()`
`Object` `getProperty(String property)`
`Object` `getVersion()`
`Object` `getWatchedResources()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setBaseDir(Object value)`
`void` `setDoWithSpring(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setOnChange(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setVersion(Object value)`
`void` `setWatchedResources(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18nGrailsPlugin

    public I18nGrailsPlugin()

Method Detail

### getBaseDir

    public Object getBaseDir()

### setBaseDir

    public void setBaseDir(Object value)

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getWatchedResources

    public Object getWatchedResources()

### setWatchedResources

    public void setWatchedResources(Object value)

### getDoWithSpring

    public Object getDoWithSpring()

### setDoWithSpring

    public void setDoWithSpring(Object value)

### getOnChange

    public Object getOnChange()

### setOnChange

    public void setOnChange(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project